add_friend/urls.py
from django.conf.urls import url
from .views import index, add_friend

urlpatterns = [
    url(r'^$', index, name='index'),
    url(r'^add_friend', add_friend, name='add_friend'),
 ]

app_dashboard/urls.py
from django.conf.urls import url
from .views import index

urlpatterns = [
    url(r'^$', index, name='index'),
 ]

project/urls.py
from django.conf.urls import url, include
from django.contrib import admin
import add_friend.urls as add_friend
import app_dashboard.urls as dashboard

urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'^add-friend/', include(add_friend, namespace='add-friend')),
    url(r'^dashboard/', include(dashboard, namespace='dashboard')),
]

add_friend/models.py
from django.db import models

# Create your models here.
class Friend(models.Model):
	name = models.CharField(max_length=27)
	url = models.URLField()
	created_date = models.DateTimeField(auto_now_add=True)

app_dashboard/models.py
from django.db import models

# Create your models here.

add_friend/forms.py
from django import forms

class Add_Form(forms.Form):
    error_messages = {
        'required': 'Tolong isi input ini',
        'invalid': 'Isi input dengan URL',
    }
    name_attrs = {
        'type':'text',
    	'class':'form-control',
        'placeholder': 'Azmie'
    }
    url_attrs = {
        'type':'url',
    	'class':'form-control',
        'placeholder': 'https://google.com'
    }

    name = forms.CharField(label='Name', required=True, widget=forms.TextInput(attrs=name_attrs))
    url = forms.URLField(label='URL', required=True, widget=forms.TextInput(attrs=url_attrs))

add_friend/views.py
from django.shortcuts import render
from django.http import HttpResponseRedirect
from .forms import Add_Form
from .models import Friend

# Create your views here.
response = {}

def index(request):
	friend = Friend.objects.all()
	response['friend'] = friend
	html = 'add_friend.html'
	response['add_form'] = Add_Form
	return render(request, html, response)

def add_friend(request):
	form = Add_Form(request.POST or None)
	if(request.method == 'POST' and form.is_valid()):
		response['name'] = request.POST['name']
		response['url'] = request.POST['url']
		friend = Friend(name=response['name'], url=response['url'])
		friend.save()
		return HttpResponseRedirect('/add-friend/')
	else:
		return HttpResponseRedirect('/add-friend/')

app_dashboard/views.py
from django.shortcuts import render
from django.http import HttpResponseRedirect
from add_friend.forms import Add_Form
from add_friend.models import Friend

response = {}
# Create your views here.
def index(request):
	number_of_friend = Friend.objects.all().count()
	response['total'] = number_of_friend
	html = 'dashboard.html'
	return render(request, html, response)

add_friend/templates/add_friend.html
{% extends "layout/base.html" %}
{% block content %}
<section name='add-input' id='add-input'>
	<h4>Add Friend</h4>
	<form id='form' method="POST" action="{% url 'add-friend:add_friend' %}">
		{% csrf_token %}
        {{ add_form }}
        <br>
	    <button id="submit" type="submit" class="btn pull-right btn-primary">Add Friend</button>
	</form>
</section>
<section name='friend-list' id='friend-list'>
	<h4>List Friend</h4>
	<table class='table table-responsive table-hover'>
		<tbody>
			{% if friend %}
				{% for i in friend %}
				<tr>
					<td> {{ i.name }} </td>
					<td></td>
					<td> <a href="{{ i.url }}">{{ i.url }}</a> </td>
					<td> Added 	{{ i.created_date }} </td>
				</tr>
				{% endfor %}
			{% else %}
			<div class="alert alert-danger text-center">
                <strong>Oops!</strong> You don't have any friends.
            </div>
            {% endif %}
		</tbody>
	</table>
</section>
{% endblock %}

app_dashboard/templates/dashboard.html
{% extends 'layout/base.html' %}
{% block content %}
<img  alt="profile-image" style="border-radius: 50%; width: 100px; height: 100px; display: block; margin: 0 auto; float: left;"/>
<h1 style="float: center;">NAMANYA</h1>
<div>
	<h6><strong>Friends</strong>	{{ total }} People</h6>
</div>
{% endblock %}

templates/layout/base.html
{% load staticfiles %}
{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="description" content="Tugas 1 PPW">
    <meta name="author" content="Kelompok 13">
    <!-- bootstrap css -->
    <link href="//netdna.bootstrapcdn.com/bootstrap/3.1.1/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="{% static 'css/add_friend.css' %}" />

    <title> Ling In </title>
</head>
<body>
    <header>
        {% include "partials/header.html" %}
    </header>
    <content>
        <div class="container">
            {% block content %}
                <!-- content goes here -->
            {% endblock %}
        </div>

    </content>
    <footer>
    </footer>

    <!-- Jquery n Bootstrap Script -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <script type="application/javascript" src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
</body>
</html>

templates/partials/header.html
<!-- templates/lab_5/partials/header.html -->
<nav class="navbar navbar-default navbar-fixed-top">
  <div class="container">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <a class="navbar-brand" href="">Ling In</a>
    </div>
    <div id="navbar" class="navbar-collapse collapse">
      <ul class="nav navbar-nav">
        <!-- LINK MENUJU table, dan link menuju home#form -->
        <li><a href="{% url 'add-friend:index' %}">Friends</a></li>
        <li><a href="{% url 'dashboard:index' %}">Stats</a></li>
      </ul>
    </div><!--/.nav-collapse -->
  </div>
</nav>